Method to trigger and toggle the shopify import and sync
POST
/
store
/
shopify
/
{altId}
Toggle Shopify Import and Sync
curl --request POST \
--url https://services.leadconnectorhq.com/store/shopify/{altId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"syncConfig": {
"orderReceivedTrigger": true,
"paymentReceivedTrigger": true,
"contacts": true,
"products": true,
"orders": true,
"transactions": true,
"collections": true
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
syncConfig: {
orderReceivedTrigger: true,
paymentReceivedTrigger: true,
contacts: true,
products: true,
orders: true,
transactions: true,
collections: true
}
})
};
fetch('https://services.leadconnectorhq.com/store/shopify/{altId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shopify/{altId}"
payload = { "syncConfig": {
"orderReceivedTrigger": True,
"paymentReceivedTrigger": True,
"contacts": True,
"products": True,
"orders": True,
"transactions": True,
"collections": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Toggle Shopify Import and Sync
curl --request POST \
--url https://services.leadconnectorhq.com/store/shopify/{altId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"syncConfig": {
"orderReceivedTrigger": true,
"paymentReceivedTrigger": true,
"contacts": true,
"products": true,
"orders": true,
"transactions": true,
"collections": true
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
syncConfig: {
orderReceivedTrigger: true,
paymentReceivedTrigger: true,
contacts: true,
products: true,
orders: true,
transactions: true,
collections: true
}
})
};
fetch('https://services.leadconnectorhq.com/store/shopify/{altId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shopify/{altId}"
payload = { "syncConfig": {
"orderReceivedTrigger": True,
"paymentReceivedTrigger": True,
"contacts": True,
"products": True,
"orders": True,
"transactions": True,
"collections": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}